/*
 * Copyright (C) 2022 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords.commands;

import java.util.List;
import moe.nekojimi.chords.Main;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

public class RestartCommand extends Command
{

    public RestartCommand(Main bot)
    {
        super(bot, "restart");
    }

    @Override
    public void call(GuildMessageReceivedEvent event, List<String> arg)
    {
        // TODO: this needs to clear the current data queue
        boolean ok = bot.getMusicHandler().restartSong();
        if (ok)
            event.getChannel().sendMessage("Restarted current song!").queue();
        else
            event.getChannel().sendMessage("Cannot restart!").queue();
    }

}
